/*
 * Copyright 2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.constretto.examples.dashboard;

import org.constretto.ConstrettoConfiguration;
import org.constretto.web.tag.ConstrettoForEachTag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

import javax.servlet.ServletContextEvent;

import static org.springframework.beans.factory.config.AutowireCapableBeanFactory.AUTOWIRE_BY_TYPE;

/**
 * @author <a href="mailto:kaare.nilsen@gmail.com">Kaare Nilsen</a>
 */
public class ConstrettoTaglibListener implements javax.servlet.ServletContextListener{

    public void contextInitialized(ServletContextEvent sce) {
        final WebApplicationContext context = WebApplicationContextUtils.getRequiredWebApplicationContext(sce.getServletContext());
        context.getAutowireCapableBeanFactory().autowireBeanProperties(this,AUTOWIRE_BY_TYPE,true);
    }


    @Autowired
    public void setConfiguration(ConstrettoConfiguration configuration) {
        ConstrettoJSTLFunctions.configuration(configuration);
        ConstrettoForEachTag.configuration(configuration);
    }

    public void contextDestroyed(ServletContextEvent sce) {
        // Do nothing
    }
}
